commit:     43840c78247826c1093716c974c27e320a0c0550
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Sat May 24 19:19:02 2025 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Sat May 24 19:20:30 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=43840c78

app-backup/backintime: add 1.5.4, drop 1.5.2

Various test fixes while at it, including running the Qt tests.

Closes: https://bugs.gentoo.org/944830
Closes: https://bugs.gentoo.org/947109
Closes: https://bugs.gentoo.org/952180
Signed-off-by: Sam James <sam <AT> gentoo.org>

 app-backup/backintime/Manifest                     |   2 +-
 ...intime-1.5.2.ebuild => backintime-1.5.4.ebuild} |  33 +++++-
 app-backup/backintime/backintime-9999.ebuild       |  33 +++++-
 .../files/backintime-1.5.4-crontab-systemd.patch   |  11 ++
 ...ackintime-1.5.4-no-compress-docs-examples.patch | 124 +++++++++++++++++++++
 5 files changed, 190 insertions(+), 13 deletions(-)

diff --git a/app-backup/backintime/Manifest b/app-backup/backintime/Manifest
index a2354bc3f0db..8d388e31da0e 100644
--- a/app-backup/backintime/Manifest
+++ b/app-backup/backintime/Manifest
@@ -1,2 +1,2 @@
 DIST backintime-1.5.1.tar.gz 2009248 BLAKE2B 
5136b4c59f5d9e4d8e79b9e004ca666caf494d8613697a6a3ab1c9c31b42cbdcce832f821dc98adda624423101d15c787e730922da479bb7ae657cbf87375ad2
 SHA512 
3c629a49c5eb2e740dfdebd49d8b04cae6a15a1602a68429097d62e652c6fe18b5fdeb45460456c157a1e148cca30a220ccd4decadf7836487ba8c03f075e294
-DIST backintime-1.5.2.tar.gz 2012428 BLAKE2B 
ea593f6cffb7ca2382188eff51fee156ce9ed3258e26ff4abc84252d0809ecae7b8b4c9d13251aef6776e13e2050c124aa400dd8758ef2df421e08cdaf8026bb
 SHA512 
9b33eddb38b85c6490f3eb5b93c2c457933951a39253d563759be4194fd7da0dea55f0884d2b70353861360e4defbe6d646080711a178309ee0161290062eb03
+DIST backintime-1.5.4.tar.gz 7844427 BLAKE2B 
6f37f70067ebf8cf4847b22c77ad1183b8139f67216e88722d4d029d7314a0cff12f7ba28f684ba78d9b0b0c58916b32e8ab25dea87219e86e6fd412832b03e0
 SHA512 
b09c6926351985ae8eccb9f31d74c09e345063c8d0091dc19fbb8650a1bcb1ec190db7c7df82b945badb4dfbf70bbd3677f7fea0b3eee0419f0fe866785a5f5d

diff --git a/app-backup/backintime/backintime-1.5.2.ebuild 
b/app-backup/backintime/backintime-1.5.4.ebuild
similarity index 80%
rename from app-backup/backintime/backintime-1.5.2.ebuild
rename to app-backup/backintime/backintime-1.5.4.ebuild
index 6b48e188f247..a557c871872d 100644
--- a/app-backup/backintime/backintime-1.5.2.ebuild
+++ b/app-backup/backintime/backintime-1.5.4.ebuild
@@ -3,7 +3,7 @@
 
 EAPI=8
 
-PYTHON_COMPAT=( python3_{10..12} )
+PYTHON_COMPAT=( python3_{11..13} )
 inherit python-single-r1 xdg
 
 DESCRIPTION="Backup system inspired by TimeVault and FlyBack"
@@ -44,7 +44,8 @@ BDEPEND="
 "
 
 PATCHES=(
-       "${FILESDIR}/${PN}-1.5.1-no-compress-docs-examples.patch"
+       "${FILESDIR}/${PN}-1.5.4-no-compress-docs-examples.patch"
+       "${FILESDIR}/${PN}-1.5.4-crontab-systemd.patch"
 )
 
 src_prepare() {
@@ -78,10 +79,30 @@ src_compile() {
 }
 
 src_test() {
-       # pytest should work but it can't find the backintime binary, so
-       # use the unittest-based runner instead.
-       # 
https://github.com/bit-team/backintime/blob/dev/CONTRIBUTING.md#how-to-contribute-to-back-in-time
-       emake -C common test-v
+       # 
https://github.com/bit-team/backintime/blob/dev/CONTRIBUTING.md#testing
+       EPYTEST_IGNORE=(
+               # We're not interested in linting tests for our purposes
+               test/test_lint.py
+       )
+
+       (
+               EPYTEST_DESELECT+=(
+                       # Wants a crontab
+                       test/test_backintime.py::BackInTime::test_quiet_mode
+               )
+               EPYTEST_IGNORE+=(
+                       # Wants an SSH key
+                       test/test_sshtools.py
+               )
+
+               cd common || die
+               epytest
+       )
+
+       use gui && (
+               cd qt || die
+               epytest
+       )
 }
 
 src_install() {

diff --git a/app-backup/backintime/backintime-9999.ebuild 
b/app-backup/backintime/backintime-9999.ebuild
index 6b48e188f247..a557c871872d 100644
--- a/app-backup/backintime/backintime-9999.ebuild
+++ b/app-backup/backintime/backintime-9999.ebuild
@@ -3,7 +3,7 @@
 
 EAPI=8
 
-PYTHON_COMPAT=( python3_{10..12} )
+PYTHON_COMPAT=( python3_{11..13} )
 inherit python-single-r1 xdg
 
 DESCRIPTION="Backup system inspired by TimeVault and FlyBack"
@@ -44,7 +44,8 @@ BDEPEND="
 "
 
 PATCHES=(
-       "${FILESDIR}/${PN}-1.5.1-no-compress-docs-examples.patch"
+       "${FILESDIR}/${PN}-1.5.4-no-compress-docs-examples.patch"
+       "${FILESDIR}/${PN}-1.5.4-crontab-systemd.patch"
 )
 
 src_prepare() {
@@ -78,10 +79,30 @@ src_compile() {
 }
 
 src_test() {
-       # pytest should work but it can't find the backintime binary, so
-       # use the unittest-based runner instead.
-       # 
https://github.com/bit-team/backintime/blob/dev/CONTRIBUTING.md#how-to-contribute-to-back-in-time
-       emake -C common test-v
+       # 
https://github.com/bit-team/backintime/blob/dev/CONTRIBUTING.md#testing
+       EPYTEST_IGNORE=(
+               # We're not interested in linting tests for our purposes
+               test/test_lint.py
+       )
+
+       (
+               EPYTEST_DESELECT+=(
+                       # Wants a crontab
+                       test/test_backintime.py::BackInTime::test_quiet_mode
+               )
+               EPYTEST_IGNORE+=(
+                       # Wants an SSH key
+                       test/test_sshtools.py
+               )
+
+               cd common || die
+               epytest
+       )
+
+       use gui && (
+               cd qt || die
+               epytest
+       )
 }
 
 src_install() {

diff --git a/app-backup/backintime/files/backintime-1.5.4-crontab-systemd.patch 
b/app-backup/backintime/files/backintime-1.5.4-crontab-systemd.patch
new file mode 100644
index 000000000000..56f5b3969fb8
--- /dev/null
+++ b/app-backup/backintime/files/backintime-1.5.4-crontab-systemd.patch
@@ -0,0 +1,11 @@
+--- a/common/schedule.py
++++ b/common/schedule.py
+@@ -33,7 +33,7 @@ def _determine_crontab_command() -> str:
+     Raises:
+         RuntimeError: If none of the supported commands available.
+     """
+-    to_check_commands = ['crontab', 'fcrontab']
++    to_check_commands = ['crontab', 'fcrontab', 'crontab-systemd']
+     for cmd in to_check_commands:
+         proc = subprocess.run(
+             ['which', cmd],

diff --git 
a/app-backup/backintime/files/backintime-1.5.4-no-compress-docs-examples.patch 
b/app-backup/backintime/files/backintime-1.5.4-no-compress-docs-examples.patch
new file mode 100644
index 000000000000..960a056c903e
--- /dev/null
+++ 
b/app-backup/backintime/files/backintime-1.5.4-no-compress-docs-examples.patch
@@ -0,0 +1,124 @@
+--- a/common/configure
++++ b/common/configure
+@@ -178,7 +178,7 @@
+ 
+ printf "all:\tbuild\n\n" >> ${MAKEFILE}
+ 
+-printf "build:\ttranslate compress\n" >> ${MAKEFILE}
++printf "build:\ttranslate\n" >> ${MAKEFILE}
+ 
+ printf "clean:\n" >> ${MAKEFILE}
+ printf "\trm -f po/*.mo\n" >> ${MAKEFILE}
+@@ -207,33 +207,11 @@
+ addUninstallDir                "/share/backintime"
+ addNewline
+ 
+-addComment "documentation"
+-addInstallDir                        "/share/doc/backintime-common"
+-addInstallFile "../AUTHORS"          "/share/doc/backintime-common"
+-addInstallFile "../README.md"        "/share/doc/backintime-common"
+-addInstallFile "../FAQ.md"           "/share/doc/backintime-common"
+-addInstallFile "../TRANSLATIONS"     "/share/doc/backintime-common"
+-addInstallFile "../CHANGES"          "/share/doc/backintime-common"
+-addInstallFile "../LICENSE"          "/share/doc/backintime-common"
+-addInstallDir                        "/share/doc/backintime-common/LICENSES"
+-addInstallFiles "../LICENSES/*"      "/share/doc/backintime-common/LICENSES"
+-addNewline
+-
+-addComment "config and user-callback examples"
+-addInstallDir                            
"/share/doc/backintime-common/examples"
+-addInstallFile "config-example-local.gz" 
"/share/doc/backintime-common/examples"
+-addInstallFile "config-example-ssh.gz"   
"/share/doc/backintime-common/examples"
+-addInstallDir                            
"/share/doc/backintime-common/user-callback-examples"
+-addInstallFiles "../doc/user-callback-examples/user-callback.*"   
"/share/doc/backintime-common/user-callback-examples"
+-addUninstallDir                          "/share/doc/backintime-common"
+-addUninstallDir                          "/share/doc"
+-addNewline
+-
+ addComment "man"
+ addInstallDir                                  "/share/man/man1"
+-addInstallFile "man/C/backintime.1.gz"         "/share/man/man1"
+-addInstallFile "man/C/backintime-askpass.1.gz" "/share/man/man1"
+-addInstallFile "man/C/backintime-config.1.gz"  "/share/man/man1"
++addInstallFile "man/C/backintime.1"            "/share/man/man1"
++addInstallFile "man/C/backintime-askpass.1"    "/share/man/man1"
++addInstallFile "man/C/backintime-config.1"     "/share/man/man1"
+ addUninstallDir                                "/share/man"
+ addNewline
+ 
+@@ -257,15 +235,6 @@
+ addUninstallDir                     "/share/bash-completion"
+ addNewline
+ 
+-# compress
+-printf "compress:\n" >> ${MAKEFILE}
+-printf "\t# Man pages\n" >> ${MAKEFILE}
+-printf "\tfor i in \$\$(ls -1 man/C/); do case \$\$i in *.gz|*~) continue;; 
*) gzip -n --best -c man/C/\$\$i > man/C/\$\${i}.gz;; esac; done\n\n" >> 
${MAKEFILE}
+-
+-printf "\t# Config-examples\n" >> ${MAKEFILE}
+-printf "\tgzip -n --best -c config-example-local > config-example-local.gz\n" 
>> ${MAKEFILE}
+-printf "\tgzip -n --best -c config-example-ssh > config-example-ssh.gz\n\n" 
>> ${MAKEFILE}
+-
+ # translate
+ printf "translate:\t$mos\n\n" >> ${MAKEFILE}
+ 
+--- a/qt/configure
++++ b/qt/configure
+@@ -154,7 +154,7 @@
+ 
+ printf "all:\tbuild\n\n" >> ${MAKEFILE}
+ 
+-printf "build:\tcompress\n\n" >> ${MAKEFILE}
++printf "build:\n\n" >> ${MAKEFILE}
+ 
+ printf "clean:\n" >> ${MAKEFILE}
+ printf "\trm -f po/*.mo\n" >> ${MAKEFILE}
+@@ -165,7 +165,6 @@
+ 
+ # Migration
+ printf "\t# Clean-up installed old files that were renamed or moved in later 
BiT versions\n" >> ${MAKEFILE}
+-printf "\trm -f 
\$(DEST)/etc/dbus-1/system.d/net.launchpad.backintime.serviceHelper.conf\n" >> 
${MAKEFILE}
+ printf "\trm -f \$(DEST)/share/backintime/plugins/qt4plugin.py\n" >> 
${MAKEFILE}
+ addNewline
+ 
+@@ -217,18 +216,6 @@
+ addUninstallDir                                    "/share/polkit-1"
+ addNewline
+ 
+-addComment "documentation"
+-addInstallDir                        "/share/doc/backintime-qt"
+-addInstallFile "../AUTHORS"          "/share/doc/backintime-qt"
+-addInstallFile "../README.md"        "/share/doc/backintime-qt"
+-addInstallFile "../FAQ.md"        "/share/doc/backintime-qt"
+-addInstallFile "../TRANSLATIONS"     "/share/doc/backintime-qt"
+-addInstallFile "../CHANGES"          "/share/doc/backintime-qt"
+-addInstallFile "../LICENSE"          "/share/doc/backintime-qt"
+-addInstallDir                        "/share/doc/backintime-qt/LICENSES"
+-addInstallFiles "../LICENSES/*"      "/share/doc/backintime-qt/LICENSES"
+-addNewline
+-
+ addComment ".desktop"
+ addInstallDir               "/share/applications"
+ addInstallFiles "*.desktop" "/share/applications"
+@@ -236,7 +223,7 @@
+ 
+ addComment "man"
+ addInstallDir    "/share/man/man1"
+-addInstallFile   "man/C/backintime-qt.1.gz" "/share/man/man1"
++addInstallFile   "man/C/backintime-qt.1" "/share/man/man1"
+ addUninstallDir  "/share/man"
+ addNewline
+ 
+@@ -251,11 +238,6 @@
+ addUninstallDir                                             "/share"
+ addNewline
+ 
+-#compress
+-printf "compress:\n" >> ${MAKEFILE}
+-printf "\t# Man pages\n" >> ${MAKEFILE}
+-printf "\tfor i in \$\$(ls -1 man/C/); do case \$\$i in *.gz|*~) continue;; 
*) gzip -n --best -c man/C/\$\$i > man/C/\$\${i}.gz;; esac; done\n\n" >> 
${MAKEFILE}
+-
+ # Uninstall
+ printf "uninstall: uninstall_files uninstall_dirs\n\n" >> ${MAKEFILE}
+ printf "uninstall_files:\n" >> ${MAKEFILE}
+

Reply via email to